NFSSTAT(8C)

NAME
nfsstat - Network File System statistics

SYNOPSIS
nfsstat [ -csnrz ]

DESCRIPTION
nfsstat displays statistical information about the NFS (Network File System) and RPC (Remote Procedure Call), interfaces to the kernel. It can also be used to reinitialize this information. If no options are given the default is

    nfsstat -csnr

That is, display everything, but reinitialize nothing.

OPTIONS

-c  Display client information. Only the client side NFS and RPC information will be printed. Can be combined with the -n and -r options to print client NFS or client RPC information only.

-s  Display server information.

-n  Display NFS information. NFS information for both the client and server side will be printed. Can be combined with the -c and -s options to print client or server NFS information only.

-r  Display RPC information.

-z  Zero (reinitialize) statistics. This option is for use by the super-user only, and can be combined with any of the above options to zero particular sets of statistics after printing them.

DISPLAYS

The server RPC display includes the fields:

    calls
        total number of RPC calls received

    badcalls
        total number of calls rejected

    nullrecv
        number of times no RPC packet was available when trying to receive

    badlen
        number of packets that were too short

    xdrcall
        number of packets that had a malformed header

The server NFS display shows the number of NFS calls received (calls) and rejected (badcalls), and the counts and percentages for the various calls that were made.

The client RPC display includes the following fields:

    calls
        total number of RPC calls sent
    badcalls
        total of calls rejected by a server
    retrans
        number of times a call had to be retransmitted
    badxid
        number of times a reply did not match the call
    timeout
        number of times a call timed out
    wait
        number of times a call had to wait on a busy CLIENT handle
    newcred
        number of times authentication information had to be refreshed

The client NFS display shows the number of calls sent and rejected, as well as the number of times a CLIENT handle was received (nclget), the number of times a call had to sleep while awaiting a handle (nclsleep), as well as a count of the various calls and their respective percentages.

FILES
/vmunix
    system namelist
/dev/kmem
    kernel memory